| DocBook: The Definitive Guide Version 2.0.8 (Alpha)

# videoobject

$Revision: 1.3 $

$Date: 2002/06/12 11:18:42 $

videoobject — A wrapper for video data and its associated meta-information

## Synopsis

### Content Model

    videoobject ::=
    (objectinfo?,videodata)

### Attributes

Common attributes

## Description

A `VideoObject` is a wrapper containing `VideoData` and its associated meta-information.

### Processing expectations

May be formatted inline or as a displayed block, depending on context. It might not be rendered at all, depending on its placement within a `MediaObject` or `InlineMediaObject` and the constraints on the publishing system. For a more detailed description of the semantics involved, see `MediaObject`.

### Parents

These elements contain videoobject: `inlinemediaobject`, `mediaobject`.

### Children

The following elements occur in videoobject: `objectinfo`, `videodata`.

## See Also

`alt`, `audioobject`, `caption`, `graphic`, `imageobject`, `inlinegraphic`, `inlinemediaobject`, `mediaobject`, `textobject`.

## Examples

    <!DOCTYPE mediaobject PUBLIC "-//OASIS//DTD DocBook XML V4.1.2//EN"
              "http://www.oasis-open.org/docbook/xml/4.1.2/docbookx.dtd">
    <mediaobject>
    <videoobject>
    <videodata fileref='movie.avi'/>
    </videoobject>
    <imageobject>
    <imagedata fileref='movie-frame.gif'/>
    </imageobject>
    <textobject>
    <para>This video illustrates the proper way to assemble an
    inverting time distortion device.
    </para>
    <warning>
    <para>
    It is imperative that the primary and secondary temporal
    couplings not be mounted in the wrong order. Temporal
    catastrophe is the likely result. The future you destroy
    may be your own.
    </para>
    </warning>
    </textobject>
    </mediaobject>

videodata |  | void

Copyright © 1999, 2000, 2001, 2002 O'Reilly & Associates, Inc. All rights reserved.